/*******************************************************************************
Copyright © 2024 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"html": "<p>Schreibe eine Klasse namens <code>FOO</code> mit folgenden Attributen und Methoden. Variablen, Parameter und Attribute müssen in dieser Aufgabe immer <code>bar</code> heißen (bzw. <code>bar2</code>, wenn der Name anders sein muss) und eine Zeichenkette speichern. Programmiere innere Sequenzen von Methoden stets so einfach wie möglich und verwende stets das Schlüsselwort <code>this</code> bei Attributen:</p>\n<ol>\n    <li><p>Sie hat ein privates Attribut.</p></li>\n    <li><p>Die öffentliche Methode <code>reset</code> weißt dem Wert des Attributs die Zeichenkette <code>\"leer\"</code> zu.</p></li>\n    <li><p>Die öffentliche Methode <code>set</code> weißt dem Attribut den Wert Parameters zu.</p></li>\n    <li><p>Die private Methode <code>testParam</code> weißt einer Variable den Wert des Parameters zu.</p></li>\n    <li><p>Die private Methode <code>testAtt</code> weißt einer Variable den Wert des Attributs zu.</p></li>\n</ol>",
	"canReset": false,
	"fineSyntax": 1,
	"checkData": [
		{
			"name": "FOO",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"name": "bar",
					"type": "String",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 0,
					"content": false,
					"part": "attribute"
				},
				{
					"name": "reset",
					"type": "void",
					"dimensions": "0",
					"final": false,
					"static": false,
					"abstract": false,
					"visibility": 3,
					"params": [],
					"content": " this . bar = \"leer\" ;",
					"part": "method"
				},
				{
					"name": "set",
					"type": "void",
					"dimensions": "0",
					"final": false,
					"static": false,
					"abstract": false,
					"visibility": 3,
					"params": [
						{
							"name": "bar",
							"type": "String",
							"dimensions": "0",
							"final": false,
							"part": "variable"
						}
					],
					"content": " this . bar = bar ;",
					"part": "method"
				},
				{
					"name": "testParam",
					"type": "void",
					"dimensions": "0",
					"final": false,
					"static": false,
					"abstract": false,
					"visibility": 0,
					"params": [
						{
							"name": "bar",
							"type": "String",
							"dimensions": "0",
							"final": false,
							"part": "variable"
						}
					],
					"content": [
						" String bar2 = bar ;",
						" String bar2;bar2 = bar;"
					],
					"part": "method"
				},
				{
					"name": "testAtt",
					"type": "void",
					"dimensions": "0",
					"final": false,
					"static": false,
					"abstract": false,
					"visibility": 0,
					"params": [],
					"content": [
						" String bar = this . bar ;",
						" String bar;bar = this.bar;"
					],
					"part": "method"
				}
			],
			"part": "class"
		}
	]
}